<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="71252a7ba7750247" weblate-flags="safe-html, strict-same">
        <source>= Value Conversion While the &lt;&lt;ref_value&gt;&gt; container makes it easy to create ad-hoc structures, often it is necessary to convert between JSON and user-defined types or types from the standard library.</source>
        <target state="translated">= 值转换 尽管 &amp;lt;&lt;ref_value&gt;&amp;gt; 容器便于创建临时结构，但通常仍需在 JSON 与用户自定义类型或标准库类型之间进行转换。&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e903ff5791fc43c8" weblate-flags="safe-html, strict-same">
        <source>The function template &lt;&lt;ref_value_from&gt;&gt; provides an interface to construct a &lt;&lt;ref_value&gt;&gt; from a type `T`. The function template &lt;&lt;ref_value_to&gt;&gt; converts in the opposite direction, from a type `T` to &lt;&lt;ref_value&gt;&gt;. Both support a wide variety of different https://en.cppreference.com/w/cpp/language/types[fundamental types], such as `int` or `double`, standard library types, such as `std::string` or `std::vector&lt;T&gt;`, and can be extended to support user-defined types.</source>
        <target state="translated">函数模板 &amp;lt;&lt;ref_value_from&gt;&amp;gt; 提供了从类型 `T` 构造 &amp;lt;&lt;ref_value&gt;&amp;gt; 的接口。函数模板 &amp;lt;&lt;ref_value_to&gt;&amp;gt; 则执行相反方向的转换，从类型 `T` 转换为 &amp;lt;&lt;ref_value&gt;&amp;gt;。两者均支持多种不同的 https://en.cppreference.com/w/cpp/language/types[基础类型]（如 `int` 或 `double`）、标准库类型（如 `std::string` 或 `std::vector&lt;t&gt;`），并可扩展以支持用户定义类型。&lt;/t&gt;&lt;/ref_value&gt;&lt;/ref_value_to&gt;&lt;/ref_value&gt;&lt;/ref_value_from&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f2093e1d950b782c" weblate-flags="safe-html, strict-same">
        <source>For the type `T`, the appropriate conversion approach is chosen from the following list of categories. The first matching category is selected.</source>
        <target state="translated">对于类型 `T`，将从以下类别列表中选择合适的转换方式，并采用第一个匹配的类别。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">31</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e4623dbd78ab28b0" weblate-flags="safe-html, strict-same">
        <source>Category of T</source>
        <target state="translated">Category of T</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5683589e664c6757" weblate-flags="safe-html, strict-same">
        <source>Comment</source>
        <target state="translated">Comment</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5d997399066ee0b0" weblate-flags="safe-html, strict-same">
        <source>`value_from` behavior</source>
        <target state="translated">`value_from` behavior</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b43ab54cafdfed2a" weblate-flags="safe-html, strict-same">
        <source>`value_to` behavior</source>
        <target state="translated">`value_to` behavior</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0967862516790bb4" weblate-flags="safe-html, strict-same">
        <source>Custom conversion.</source>
        <target state="translated">自定义行为。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":36" weblate-flags="safe-html, strict-same">
        <source>Custom behavior.</source>
        <target state="translated">自定义行为。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="14eb9c0133620f86" weblate-flags="safe-html, strict-same">
        <source>Boost.JSON container.</source>
        <target state="translated">Boost.JSON 容器</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":36" weblate-flags="safe-html, strict-same">
        <source>The result is equal to the input value.</source>
        <target state="translated">结果等于输入值。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="293c2947c48c8f40" weblate-flags="safe-html, strict-same">
        <source>`bool`</source>
        <target state="translated">结果等于输入值。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dafcb8047ceaeb03" weblate-flags="safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/types/is_arithmetic[Arithmetic type]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/types/is_arithmetic[Arithmetic type]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c0f73eb36a221db5" weblate-flags="safe-html, strict-same">
        <source>a| The result is a number equal to input and has the type</source>
        <target state="translated">a| 结果是一个与输入值相等的数字，并且其类型为</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">56</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1a102a5146218789" weblate-flags="safe-html, strict-same">
        <source>`std::int64_t`, if `T` is a signed integer'; or</source>
        <target state="translated">若 `T` 为有符号整数，则为 `std::int64_t`；或</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">58</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c9a312ba8cb35d65" weblate-flags="safe-html, strict-same">
        <source>`std::uint64_t`, if `T` is an unsigned integer; or</source>
        <target state="translated">若 `T` 为无符号整数，则为 `std::uint64_t`；或</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">59</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c535c9b15f0b86d" weblate-flags="safe-html, strict-same">
        <source>`double` otherwise.</source>
        <target state="translated">否则为 `double`。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">60</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9970de5dc8f37d3b" weblate-flags="safe-html, strict-same">
        <source>The result is created via &lt;&lt;ref_value_to_number&gt;&gt;.</source>
        <target state="translated">结果通过 &amp;lt;&lt;ref_value_to_number&gt;&amp;gt; 创建。&lt;/ref_value_to_number&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e5d74e7aee62afa8" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_null_like&gt;&gt;</source>
        <target state="translated">满足 &amp;lt;&lt;ref_is_null_like&gt;&amp;gt; 的类型&lt;/ref_is_null_like&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="38f092041adabfa9" weblate-flags="safe-html, strict-same">
        <source>Intended for types like {std_monostate}.</source>
        <target state="translated">适用于类似 {std_monostate} 的类型。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="91ada12e06adf12b" weblate-flags="safe-html, strict-same">
        <source>The result is a null value.</source>
        <target state="translated">结果为空值。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ea6a2ea9c1d7c68b" weblate-flags="safe-html, strict-same">
        <source>The result is default-constructed.</source>
        <target state="translated">结果将被默认构造。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="eb0423912b904167" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_string_like&gt;&gt;.</source>
        <target state="translated">满足 &amp;lt;&lt;ref_is_string_like&gt;&amp;gt; 的类型。&lt;/ref_is_string_like&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d23e3612830c4852" weblate-flags="safe-html, strict-same">
        <source>A sequence of `char`s, e.g. `std::string`.</source>
        <target state="translated">`char` 序列，例如 `std::string`。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cefbf908d4ea5441" weblate-flags="safe-html, strict-same">
        <source>The result is a &lt;&lt;ref_string&gt;&gt;.</source>
        <target state="translated">结果为 &amp;lt;&lt;ref_string&gt;&amp;gt;。&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d058c9a311570787" weblate-flags="safe-html, strict-same">
        <source>The result is constructed from a &lt;&lt;ref_string_view&gt;&gt;.</source>
        <target state="translated">结果由 &amp;lt;&lt;ref_string_view&gt;&amp;gt; 构造。&lt;/ref_string_view&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bc6fb51519a19e8c" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_variant_like&gt;&gt;.</source>
        <target state="translated">满足 &amp;lt;&lt;ref_is_variant_like&gt;&amp;gt; 的类型。&lt;/ref_is_variant_like&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0691bae126347a60" weblate-flags="safe-html, strict-same">
        <source>`std::variant` and similar types, e.g. `boost::variant2::variant`.</source>
        <target state="translated">`std::variant` 及类似类型，例如 `boost::variant2::variant`。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2966acb8433a51f1" weblate-flags="safe-html, strict-same">
        <source>The result is equal to the result of conversion of the active variant</source>
        <target state="translated">结果等同于对活跃的变体备选项进行转换所得的结果。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ceee8235bf67091" weblate-flags="safe-html, strict-same">
        <source>alternative. |The result holds the first alternative for which a conversion succeeds.</source>
        <target state="translated">a| 结果为一个数值，等于输入值且类型为：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">76</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4eabf4cb21183206" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_optional_like&gt;&gt;</source>
        <target state="translated">Type satisfying &amp;lt;&lt;ref_is_optional_like&gt;&amp;gt;&lt;/ref_is_optional_like&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">79</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a51c054f2f11f61b" weblate-flags="safe-html, strict-same">
        <source>If the input value is empty, the result is a `null`. Otherwise it is</source>
        <target state="translated">若输入值为空，则结果为 `null`；否则该结果</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">79</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="88e4fb06f866907f" weblate-flags="safe-html, strict-same">
        <source>equivalent to conversion of the object stored inside of optional. |The result is default constructed if the input value is `null`. Otherwise the result is constructed from the result of conversion of the input to the type stored in optional.</source>
        <target state="translated">等同于将存储在可选对象内部的对象进行转换。| 如果输入值为 `null` ，则结果将默认进行构造。否则，结果将根据将输入转换为存储在可选对象中的类型所得到的结果进行构造。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">82</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="18b6749a31645edd" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_map_like&gt;&gt;.</source>
        <target state="translated">Type satisfying &amp;lt;&lt;ref_is_map_like&gt;&amp;gt;.&lt;/ref_is_map_like&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="08cd5c195c2bd9ae" weblate-flags="safe-html, strict-same">
        <source>A one-to-one mapping (e.g. `std::map`) with string-like keys.</source>
        <target state="translated">A one-to-one mapping (e.g. `std::map`) with string-like keys.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e32924727e856770" weblate-flags="safe-html, strict-same">
        <source>The result is an &lt;&lt;ref_object&gt;&gt;.</source>
        <target state="translated">The result is an &amp;lt;&lt;ref_object&gt;&amp;gt;.&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":87" weblate-flags="safe-html, strict-same">
        <source>The result is default-constructed, and elements are `insert`-ed at the end.</source>
        <target state="translated">The result is default-constructed, and elements are `insert`-ed at the end.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="543fa90d6bdd6f19" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_sequence_like&gt;&gt;.</source>
        <target state="translated">Type satisfying &amp;lt;&lt;ref_is_sequence_like&gt;&amp;gt;.&lt;/ref_is_sequence_like&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="360d6c8b5645ffc9" weblate-flags="safe-html, strict-same">
        <source>A sequence of elements, e.g. `std::vector`.</source>
        <target state="translated">A sequence of elements, e.g. `std::vector`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":87" weblate-flags="safe-html, strict-same">
        <source>The result is an &lt;&lt;ref_array&gt;&gt;.</source>
        <target state="translated">结果是一个 &amp;lt;&lt;ref_array&gt;&amp;gt;。&lt;/ref_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="764bc215b7796621" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_tuple_like&gt;&gt;.</source>
        <target state="translated">满足 &amp;lt;&lt;ref_is_tuple_like&gt;&amp;gt; 的类型。&lt;/ref_is_tuple_like&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="686fb9017678d8c6" weblate-flags="safe-html, strict-same">
        <source>A heterogenous sequence with fixed size, e.g. `std::tuple` and `std::pair`.</source>
        <target state="translated">一种具有固定大小的异构序列，例如 `std::tuple` 和 `std::pair`。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b3986bc37c9863ad" weblate-flags="safe-html, strict-same">
        <source>The result is constructed with the array elements as constructor arguments.</source>
        <target state="translated">结果通过将数组元素作为构造函数参数进行构造。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b1da0e4baf1af15" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_described_class&gt;&gt;</source>
        <target state="translated">满足 &amp;lt;&lt;ref_is_described_class&gt;&amp;gt; 的类型。&lt;/ref_is_described_class&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e05f50b601cab846" weblate-flags="safe-html, strict-same">
        <source>The result is an &lt;&lt;ref_object&gt;&gt; with described members' names as keys.</source>
        <target state="translated">结果是一个 &amp;lt;&lt;ref_object&gt;&amp;gt;，其键为描述性成员的名称。&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="505294fe86a5e3db" weblate-flags="safe-html, strict-same">
        <source>The result is default-constructed and described members are assigned</source>
        <target state="translated">结果将被默认构造，并为其所描述的成员赋予相应的值。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="86c4cc723b8a3168" weblate-flags="safe-html, strict-same">
        <source>corresponding values.</source>
        <target state="translated">相应的值。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">106</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="05c9142379b5afe8" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_described_enum&gt;&gt;</source>
        <target state="translated">满足 &amp;lt;&lt;ref_is_described_enum&gt;&amp;gt; 的类型。&lt;/ref_is_described_enum&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">108</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="86e083b50af793fc" weblate-flags="safe-html, strict-same">
        <source>If the input value is equal to one of the described enumerators, the result is</source>
        <target state="translated">如果输入值等于某个已描述的枚举项，则结果为</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">108</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0d7b814d4cc20a8a" weblate-flags="safe-html, strict-same">
        <source>a &lt;&lt;ref_string&gt;&gt;, containing its name. Otherwise it's equal to the input value converted to its underlying type. |The result is the described enumerator, corresponding to the input &lt;&lt;ref_string&gt;&gt;.</source>
        <target state="translated">一个包含该枚举项名称的 &amp;lt;&lt;ref_string&gt;&amp;gt;；否则，结果等同于将输入值转换为其底层类型后的值。&lt;/ref_string&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">111</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e58f1fda29448f0d" weblate-flags="safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_path_like&gt;&gt;.</source>
        <target state="translated">满足 &amp;lt;&lt;ref_is_path_like&gt;&amp;gt; 的类型。&lt;/ref_is_path_like&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">116</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7073a351eb71423d" weblate-flags="safe-html, strict-same">
        <source>`std::filesystem::path` and similar types, e.g. `boost::filesystem::path`.</source>
        <target state="translated">`std::filesystem::path` 及类似类型，例如 `boost::filesystem::path`。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">116</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a6626db6d01d8224" weblate-flags="safe-html, strict-same">
        <source>The result is equal to the result of `path::generic_string`.</source>
        <target state="translated">结果等于 `path::generic_string` 的结果。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">116</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a0695f9cd62869b4" weblate-flags="safe-html, strict-same">
        <source>The result is constructed from two pointers to `const char`.</source>
        <target state="translated">结果由两个指向 `const char` 的指针构造而成。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">116</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2530b13b70193eec" weblate-flags="safe-html, strict-same">
        <source>For composite types (sequences, tuples, described classes, etc.) conversion of contained objects is applied recursively. For example:</source>
        <target state="translated">对于复合类型（如序列、元组、已描述的类等），对其所包含对象的转换会递归应用。例如：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">122</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d8d058fac08d758e" weblate-flags="safe-html, strict-same">
        <source>Here, the map is converted into an &lt;&lt;ref_object&gt;&gt;, since it matches &lt;&lt;ref_is_map_like&gt;&gt;. Each of its keys is converted into a &lt;&lt;ref_string&gt;&gt;, as `std::string` matches &lt;&lt;ref_is_string_like&gt;&gt;, and each of its values is converted into an &lt;&lt;ref_array&gt;&gt;, as `std::pair` matches &lt;&lt;ref_is_tuple_like&gt;&gt;. Finally, elements of pairs are converted into a `std::int64_t` number and a `bool`.</source>
        <target state="translated">在这里，该地图会被转换为一个 &amp;lt;&lt;ref_object&gt;&amp;gt;，因为其符合 &amp;lt;&lt;ref_is_map_like&gt;&amp;gt; 这个条件。其每个键都会被转换为一个 &amp;lt;&lt;ref_string&gt;&amp;gt;，因为 `std::string` 符合 &amp;lt;&lt;ref_is_string_like&gt;&amp;gt; 这个条件，而其每个值都会被转换为一个 &amp;lt;&lt;ref_array&gt;&amp;gt;，因为 `std::pair` 符合 &amp;lt;&lt;ref_is_tuple_like&gt;&amp;gt; 这个条件。最后，对每个 `std::pair` 的元素进行转换，将其转换为一个 `std::int64_t` 数字和一个 `bool` 值。&lt;/ref_is_tuple_like&gt;&lt;/ref_array&gt;&lt;/ref_is_string_like&gt;&lt;/ref_string&gt;&lt;/ref_is_map_like&gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">130</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c98321f47283a78f" weblate-flags="safe-html, strict-same">
        <source>:leveloffset: +1</source>
        <target state="translated">:leveloffset: +1</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">137</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="64f25e1dfeba88a8" weblate-flags="safe-html, strict-same">
        <source>include::custom.adoc[] include::nothrow.adoc[] include::alloc.adoc[] include::context.adoc[] include::forward.adoc[] include::direct.adoc[] include::guidelines.adoc[]</source>
        <target state="translated">include::custom.adoc[] include::nothrow.adoc[] include::alloc.adoc[] include::context.adoc[] include::forward.adoc[] include::direct.adoc[] include::guidelines.adoc[]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">139</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4dec3164844f6293" weblate-flags="safe-html, strict-same">
        <source>:leveloffset: -1</source>
        <target state="translated">:leveloffset: -1</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">147</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
